# $Revision: 1.22 $, $Date: 2005/10/21 20:10:26 $
#
# Conditional build:
%bcond_with	gnomeprint	# build GNOME Print (pangogp) backend
				# (broken: libgnomeprint is linked with newer pango)
%bcond_without	qt		# don't build Qt-based viewer
#
Summary:	Pango PDF backend
Summary(pl):	Backend PDF dla Pango
Name:		pangopdf
Version:	1.2.3.7
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/pangopdf/%{name}-%{version}.tar.gz
# Source0-md5:	e0671aeaba45e0aa5a2c1aba8cebba41
URL:		http://pangopdf.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	fontconfig-devel >= 1:1.0.1
BuildRequires:	glib2-devel >= 2.1.3
BuildRequires:	gtk-doc >= 0.10
%{?with_gnomeprint:BuildRequires:	libgnomeprint-devel >= 2.2}
%{?with_qt:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pdflib-devel >= 4.0.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:	qt-devel}
BuildRequires:	xft-devel >= 2.0.0
Requires:	glib2-devel >= 2.1.3
Requires:	fontconfig >= 1:1.0.1
Requires:	freetype >= 2.0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	libpango-1.0.so.0 libpangoft2-1.0.so.0 libpangox-1.0.so.0 libpangoxft-1.0.so.0

%description
PangoPDF implements a version of the Pango (http://www.pango.org/)
library with a PDF backend for creating PDF output. This library also
implements several of the inline properties defined by XSL
(http://www.w3.org/TR/xsl/) that are not currently implemented by
Pango.

%description -l pl
PangoPDF to implementacja wersji biblioteki Pango
(http://www.pango.org/) z backendem PDF do tworzenia wyjcia w PDF. Ta
biblioteka ma zaimplementowanych take troch wasnoci inline
zdefiniowanych przez XSL (http://www.w3.org/TR/xsl/), ktre aktualnie
nie s zaimplementowane w Pango.

%package devel
Summary:	Header files for Pango PDF backend
Summary(pl):	Pliki nagwkowe dla backendu PDF dla Pango
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
PangoPDF implements a version of the Pango (http://www.pango.org/)
library with a PDF backend for creating PDF output. This library also
implements several of the inline properties defined by XSL
(http://www.w3.org/TR/xsl/) that are not currently implemented by
Pango.

This package contains the header files needed to develop programs that
use these pangopdf.

%description devel -l pl
PangoPDF to implementacja wersji biblioteki Pango
(http://www.pango.org/) z backendem PDF do tworzenia wyjcia w PDF. Ta
biblioteka ma zaimplementowanych take troch wasnoci inline
zdefiniowanych przez XSL (http://www.w3.org/TR/xsl/), ktre aktualnie
nie s zaimplementowane w Pango.

Pakiet zawiera pliki nagwkowe niezbdne do kompilowania programw
uywajcych bibliotek pangopdf.

%package viewer
Summary:	pangopdf and Qt based UTF-8 file viewer
Summary(pl):	Przegldarka plikw UTF-8 oparta na pangopdf i Qt
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description viewer
Example program to view a UTF-8 encoding file using Pango to render
result.

%description viewer -l pl
Przykadowy program do ogldania plikw w kodowaniu UTF-8 przy uyciu
Pango do wywietlania wynikw.

%prep
%setup -q

sed -i -e 's,QTDIR/lib ,QTDIR/%{_lib} ,;s,QTDIR/include,QTDIR/include/qt,;s/-lqt/-lqt-mt/' \
	configure.in
sed -i -e 's,QTDIR)/lib ,QTDIR)/%{_lib} ,;s,QTDIR)/include,QTDIR)/include/qt,;s/-lqt/-lqt-mt/' \
	examples/Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_gnomeprint:--disable-gp} \
	--enable-pdflib \
	--with-html-dir=%{_gtkdocdir} \
	--with-x \
	--with%{!?with_qt:out}-qt%{?with_qt:=/usr}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/pangopdf/pango/1.2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS* ChangeLog* NEWS* README* TODO
%attr(755,root,root) %{_bindir}/pangopdf-querymodules
%dir %{_sysconfdir}/pangopdf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pangopdf/pangox.aliases
%dir %{_libdir}/pangopdf
%attr(755,root,root) %{_libdir}/pangopdf/lib*.so.*
%dir %{_libdir}/pangopdf/pango
%dir %{_libdir}/pangopdf/pango/1.2.0
%dir %{_libdir}/pangopdf/pango/1.2.0/modules
%attr(755,root,root) %{_libdir}/pangopdf/pango/1.2.0/modules/*.so
%{_datadir}/pangopdf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pangopdf/*.so
%{_libdir}/pangopdf/*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/pangopdf
%{_gtkdocdir}/pangopdf

%if %{with qt}
%files viewer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pango-viewer
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pangopdf.spec,v $
Revision 1.22  2005/10/21 20:10:26  qboosh
- release 2

Revision 1.21  2005/10/21 20:05:48  qboosh
- separated viewer to kill qt dep in base

Revision 1.20  2005/10/21 19:58:17  qboosh
- fixed qt usage

Revision 1.19  2005/10/21 19:26:50  qboosh
- more BRs
- disable gp backend (breaks build if linked with pango >= 1.3)

Revision 1.18  2005/10/21 18:01:55  qboosh
- some cleanups

Revision 1.17  2004/08/14 16:03:44  luzik
 - updated to 1.2.3.7
 - removed patch0 witch is now nicluded in sources
 - added non default at this version option enable pdflib

Revision 1.16  2004/08/09 10:56:59  luzik
 - added --with-x option to configure

Revision 1.15  2004/08/09 10:05:01  luzik
 - updated to 1.2.3.6
 - added patch0

Revision 1.14  2004/04/04 08:22:47  luzik
 - fixed %files

Revision 1.13  2004/03/19 16:33:39  grzegol
- added epoch to fontconfig requires

Revision 1.12  2003/07/09 09:21:20  trojan
- updated to 1.2.3.1
- removed outdated patch

Revision 1.11  2003/06/26 09:29:47  qboosh
- BR: ac,am,lt

Revision 1.10  2003/06/26 06:21:15  trojan
- added noautoprov macro

Revision 1.9  2003/06/25 12:39:07  trojan
- updated to 1.3.0
- added moduledir patch
- added regeneration ac/am/lt scripts

Revision 1.8  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.7  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/08 15:27:01  qboosh
- s/xft/xft-devel/

Revision 1.5  2003/05/08 15:24:29  qboosh
- more BRs

Revision 1.4  2003/04/24 13:03:14  trojan
- updated to 1.2.1.1

Revision 1.3  2003/04/07 08:10:49  trojan
- added devel package
- added BR: pdflib-devel
- fixed %%files
- release 0.2

Revision 1.2  2003/03/16 20:43:39  qboosh
- pl description

Revision 1.1  2003/03/11 10:14:15  wrobell
- based on template, nfy
